/* File: RA111.H                                            */

/* Structures document for RemoteAccess 1.10/Noncommercial. */
/* May be freely distributed in unmodified form and used    */
/* by third-party developers. This document is Copyright    */
/* (C) 1991 Andrew Milner and Continental Software.         */

#ifndef __RA111_H__
#define __RA111_H__

typedef unsigned char	byte;
typedef unsigned int	word;
typedef long            longint;

typedef struct {
	byte    line;
	char    name[36],
			handle[36];
	char    city[26];
	word    baud;
	longint times;
	char    logon[6],
			logoff[6];
	byte    attribute; /* bit 0: hidden */
} LASTCALL;

#endif