#include "scrcodes.h"
#include <string.h>
#include <stdio.h>
#include <conio.h>

static char *_atrb_plt[] = {
   "0","1","4","5","7","8"
   };

static char *_fg_plt[] = {
   "0;30","0;31","0;32","0;33",
   "0;34","0;35","0;36","0;37",
   "1;30","1;31","1;32","1;33",
   "1;34","1;35","1;36","1;37"
   };

static char *_bg_plt[] = {
   "40","41","42","43",
   "44","45","46","47"
	};

static char _fg_plt_avt[] = {
	0,  4,  2,  6,  2,  5,  3,  7,
	8, 12, 10, 14,  9, 13, 11, 15
	};

void AVT_cls( char *s )
{
	strcat( s, "\x0c" );
}


void AVT_fg_color( char *s, int a )
{
	char buf[ 20 ];

	sprintf( buf, "%s%c", AVT_SC, _fg_plt_avt[a] );
	strcat( s, buf );
}


void AVT_line( char *s, int length )
{
	char buf[ 20 ];
	sprintf( buf, " %s\x01%c\r\n", AVT_LN, length );
	strcat( s, buf );
}


void ANSI_cls( char *s )
{
	char buf[ 8 ];
	sprintf( buf, "%c[2J", ESC );
	strcat( s, buf );
}


void ANSI_attrib( char *s, int a )
{
	char buf[ 20 ];
	sprintf( buf, "%c[%sm", ESC, _atrb_plt[a]);
	strcat( s, buf );
}


void ANSI_fg_color( char *s, int a )
{
	char buf[ 20 ];
	sprintf( buf, "%c[%sm", ESC, _fg_plt[a] );
	strcat( s, buf );
}


void ANSI_bg_color( char *s, int a )
{
	char buf[ 20 ];
	sprintf( s, "%c[%sm", ESC, _bg_plt[a] );
	strcat( s, buf );
}


void ASCII_cls( char *s )
{
	char buf[ 8 ];
	sprintf( buf, "%c", FF );
	strcat( s, buf );
}


void ASCII_line( char *s, int length )
{
	int i;
	int j;

	strcat( s, " " );
	j = strlen( s );
	for ( i = 0; i < length; i++ )
		s[ j + i ] = '';
	s[ j + i ] = '\0';
	strcat( s, "\r\n" );
}
