#ifndef __SCRCODES_H__
#define __SCRCODES_H__

/* Code from Snippets' ANSISCRN.H, editted to my own needs */

#define   ESC              27           /* Escape char */
#define   FF               12           /* Formfeed */
#define   AVT_SC           "\x16\x01"   /* Avatar: set color */
#define   AVT_LN           "\x16\x19"   /* Avatar: repeat character(s) */

#define   S_NORMAL         0     /* attributes for ANSI_attrib() */
#define   S_BOLD           1
#define   S_USCORE         2
#define   S_BLINK          3
#define   S_REVERSE        4
#define   S_INVIS          5

#define   S_BLACK          0     /* colors for ANSI_fg_color() */
#define   S_RED            1
#define   S_GREEN          2
#define   S_BROWN          3
#define   S_BLUE           4
#define   S_MAGENTA        5
#define   S_CYAN           6
#define   S_LIGHTGRAY      7
#define   S_DARKGRAY       8
#define   S_LIGHTRED       9
#define   S_LIGHTGREEN    10
#define   S_YELLOW        11
#define   S_LIGHTBLUE     12
#define   S_LIGHTMAGENTA  13
#define   S_LIGHTCYAN     14
#define   S_WHITE         15

void	AVT_cls( char *s );
void	AVT_fg_color( char *s, int a );
void	AVT_line( char *s, int length );

void    ANSI_cls( char *s );
void    ANSI_attrib( char *s, int a );
void    ANSI_fg_color( char *s, int a );
void    ANSI_bg_color( char *s, int a );

void	ASCII_cls( char *s );
void	ASCII_line( char *s, int length );

#endif
